# Manuel de configuration

La section suivante précise comment installer et configurer le module `LcvPrestaConnector` avec votre backoffice LCV.

*Pour connaître les possibilités du module, savoir si une donnée est synchronisée ou non, et dans quel sens, vous devez vous reporter au manuel technique.*

## Installation

### Association

Pour fonctionner, le module a besoin de se connecter aux API fournies par votre backoffice. L'association est le processus qui vous permet d'établir cette connexion.

Pour associer votre module, allez dans sa page de configuration accessible depuis l'écran de gestion des modules.

Si le module n'a jamais été associé ou détecte des identifiants périmés, alors il vous proposera automatiquement de procéder à une association avant de continuer avec la configuration du module ; autrement, si vous désirez procéder à une association manuelle, cliquez sur le bouton `désassocier`.

Pour associer votre module à votre installation LCV, vous allez devoir effectuer les étapes suivantes :

1. **entrer l'URL de connexion à votre backoffice.** Il s'agit généralement de l'adresse IP publique (accessible depuis Internet) sur laquelle le service LCV est joignable ; si vous ne connaissez pas cette information, prenez contact avec le support technique de LCV ;
2. **si le certificat de sécurité que vous utilisez est auto-signé,** auto-généré ou invalide, un écran vous demandera de valider son empreinte afin d'être sûr que vous vous connectez au bon endroit ; 
3. **renseignez ensuite le nom d'utilisateur et le mot de passe** qui vous ont été remis par LCV ;



### Mise en place de la tâche automatisée

<TODO>



### Configuration générale

<TODO>



### Mappage des catégories

<TODO>



## Synchronisation du catalogue produits

La synchronisation du catalogue produits est réalisée à intervalles réguliers par une tâche automatisée installée automatiquement par le module ou appelée manuellement par une intervention externe *(cf. Installation)* à condition d'avoir préalablement paramétré le module dans le mode "`Synchronisation du catalogue & du stock`".

Pour les produits déjà existants, un bouton de synchronisation est ajouté dans la barre d'outils des fiches produits compatibles (à côté du bouton d'aide). Ce bouton vous permet de resynchroniser que ce produit afin de refléter des modifications récentes ou bien de vérifier que la synchronisation fonctionne bien.

### Audit et journalisation

La synchronisation produit un fichier d'audit par jour stocké dans le répertoire /var/logs de Prestashop. Il contient la journalisation des actions du module et vous pouvez consulter ce journal dans les options du module.

### Informations synchronisées

Vous pouvez sélectionner les informations à synchroniser dans l'onglet "Catalogue" de la page de configuration du module : référence, nom du produit, marques, etc...

Une donnée qui est synchronisée est systématiquement écrasée par sa valeur du backoffice LCV lorsqu'elle existe et lorsque le module synchronise le produit. Dans le cas contraire, la donnée est simplement reportée à la création de la fiche produit sous Prestashop.

*🛈 Par sécurité, le module modifie la page d'édition des produits de Prestashop de sorte qu'il vous soit impossible de modifier par cet écran une donnée qui est maintenue à jour depuis votre backoffice, car celle-ci serait susceptible d'être remplacée vous faisant perdre vos modifications.* 

*Les champs gérés par le module sont grisés et de couleur orange, uniquement sur les produits créés et maintenus par le module.*



## Questions fréquentes

### Comment tout resynchroniser ?

Par défaut, le module ne resynchronise que les données ayant changé sur votre backoffice depuis la dernière synchronisation.

Vous pouvez toutefois indiquer au module de tout resynchroniser (tout le catalogue, les stocks et les prix) en cliquant sur le bouton "`Resynchroniser`" de la page de configuration du module.

La resynchronisation totale sera effectuée lors de la prochaine synchronisation programmée.

### Resynchroniser une fiche produit.

Lorsque le module est paramétré pour synchroniser les fiches produits, une icône de synchronisation apparaît sur sa fiche produit vous permettant de déclencher une resynchronisation de ce produit.

Cliquez sur l'icône pour déclencher la synchronisation de la fiche.

### Empêcher une fiche produit d'être synchronisé

Lorsque le module est paramétré pour synchroniser les fiches produits, une icône de verrouillage vous permet d'empêcher le module de modifier la fiche produit. Si l'icône est un cadenas rouge, alors le module ignorera cette fiche produit et se contentera d'en synchroniser que les prix et les stocks.

Pour changer le comportement pour cette fiche produit, cliquez sur l'icône pour verrouiller ou déverrouiller la fiche.

Notez que le verrouillage vous permet de libérer tous les champs en édition.
