
document.addEventListener('DOMContentLoaded', function () {

    const baseUrl = $('body').data('base-url');
    const token = $('body').data('token');
    
    /**
     * 
     */
    function prestashopconnector_verifyLogin() {
        let button = $("#lcvprestaconnector_login #btn-verify");
        button.html('<div class="loader2"></div>Interrogation en cours').attr("disabled", "disabled");
        
        // S'il y a une erreur, la journaliser dans le console.log

         $.ajax({
            url: `${baseUrl}/modules/lcvprestaconnector/connect?_token=${token}`,
            method: 'POST',
            data: { 
                address: $("#address").val(),
                fingerprint: $("#fingerprint").val(),
                username: $("#user").val(),
                password: $("#password").val(),
                pincode: $("#pincode").val(),
             },
            dataType: 'json',            
        })    
        .fail(function (jqXHR, textStatus, errorThrown) {            
            // L'erreur est dans le body de la réponse
            let data = JSON.parse(jqXHR.responseText);
            
            // On arrête la progression
            button.html('Suivant').attr("disabled", false);
            // S'il y a eu une erreur, on affiche l'erreur
            $(".error-msg").html(`Prestashop a renvoyé une erreur ${data.status} : ${data.detail}`);
        })
        .done(function (data) {

            // On arrête la progression
            button.html('Suivant').attr("disabled", false);

            // S'il y a eu une erreur, on affiche l'erreur
            $(".error-msg").html(data.message);

            if (data.success)
            {
                window.location.href = `${baseUrl}/modules/lcvprestaconnector/configuration/information?_token=${token}`;
            }
            else
            {
                // Erreur inférieure à 10 : problème avec l'adresse
                $(".address").hide();
                $(".fingerprint").hide();
                $(".user-mdp").hide();
                $(".pincode").hide();

                if (data.code < 10) {
                    $(".address").show();                    
                } else if (data.code > 13 && data.code < 20) {
                    // Erreur > 13 et < 20 : problème avec le fingerprint
                    $("#fingerprint").val(data.fingerprint);
                    $(".fingerprint").show();
                } else if (data.code >= 20 && data.code < 30) {
                    // Erreur >=20 : erreur avec les users/mdp
                    $(".user-mdp").show();
                } else if (data.code >= 30 && data.code < 40) {
                    // Erreur >=30 : erreur avec les pincodes
                    $(".pincode").show();
                }
            }
        });
    }    

    $("#lcvprestaconnector_login #btn-verify").on("click", prestashopconnector_verifyLogin);

    // TODO : Ajouter les autres fonctions de configuration ici

    $('#btn-catalog').on('click', function() {
    
        var options = {}; // Objet qui contiendra toutes les options

        // Parcourir chaque input radio et récupérer les valeurs sélectionnées
        $('.ps-switch input[type=radio]:checked').each(function() {
            var key = $(this).attr('name');
            var value = JSON.parse($(this).val());
            options[key] = value; // Ajoute la clé et la valeur dans l'objet options
        });
        
        // Appelle la fonction pour envoyer les données via Ajax
        setCatalogueOptions(JSON.stringify(options));
    });


    function setCatalogueOptions(options) {
       
        $.ajax({
            url: `${baseUrl}/modules/lcvprestaconnector/set/configuration/catalogue?_token=${token}`, 
            method: 'POST',
            data: {
                options: options // Envoie toutes les options sélectionnées
            },
            dataType: 'json',
        })
        .done(function(data) {
            
            if (data.success) {
                //j'ai mis un alert pour l'instant mais ça changera surement
                alert('Configuration sauvegardée avec succès!');
            } else {
                
                alert('Erreur lors de la sauvegarde : ' + data.message);
            }
        }) 
    }


  
    

  
    




    
    // Récupère l'URL actuelle
    let currentUrl = window.location.href;

    // Définit une correspondance entre les sections et les IDs des éléments
    let tabs = {
        'information': 'nav-information',
        'option': 'nav-option',
        'catalogue': 'nav-catalogue',
        'commande': 'nav-commande'
    };

    // Boucle sur les clés dans l'objet tabs
    for (var key in tabs) {
        if (tabs.hasOwnProperty(key)) {
            if (currentUrl.includes(key)) {
                // Enlève la classe active de tous les onglets
                document.querySelectorAll('.nav-link').forEach(function (el) {
                    el.classList.remove('active');
                });

        

                // Ajoute la classe active à l'onglet correspondant
                document.getElementById(tabs[key]).classList.add('active');
            }
        }
    }
});